Release 10.1A: OpenEdge Data Management:
DataServer for Microsoft SQL Server

> ## DataServer options

> In addition to the ODBC-defined options, the DataServer provides a number of `-Dsrv` options that are defined on the DataServer side of a connection. Each DataServer option has a name of the form `PRGRS_``option–name`, to reflect its origin. Table 8–2 lists and describes these options.

> Table 8–2: DataServer options
> Option | Description
> --- | ---
>     PRGRS_ALWAYS_INDEX
> | Specifies if the DataServer should always order result sets. The value is either 1 for YES or 0 for NO. If this option is set off, then results that do not explicitly describe a desired ordering and/or that do not require ordering will be returned unordered. (The default setting is 0.) Note: The driver and data source need to have the capability to preserve cursors beyond a transaction boundary in order for the `PRGRS_ALWAYS_INDEX` option to be available.
>     PRGRS_BLOCK_CURS
> | Specified if the DataServer should use block cursors for `NO-LOCK` queries. The value is either 1 for YES or 0 for NO. This option is set to 1 by default.
>     PRGS_CACHE_CONN
> | Specifies a maximum value to indicate the number of ODBC connections that can be cached without having to close existing connections. The default is 5.
>     PRGRS_CONNECT
> | Passes a connection string to the ODBC driver.
>     PRGRS_IDBUF
> | Specifies the number of keys in the scrolling buffer. The value must be greater than 0. The default value is 25 keys. This parameter applies to all nonlookahead cursors.
>     PRGRS_LOCK_ERRORS
> | Specifies that when an application gets the stated error message, standard Progress 4GL error-handling behavior occurs (that is, Progress waits and retries rather than halting). Valid values are native ODBC data source error message numbers.
>     PRGRS_MAX_BLOCKSIZE
> | Specifies the size in bytes of the total allowable memory for all block cursors. By default, this value is set to `ODBC_DEF_MAXBLOCKSZ`, or 1MB.
>     PRGRS_MINBUF
> | Specifies the minimum size of the buffer used to get data from the DataServer. Use this keyword only with drivers that fail to fetch large records. The default value is 500 bytes. If you specify a value smaller than the default, OpenEdge uses the default value. The optimal setting for `PRGRS_MINBUF` is the size of the largest record data size plus 500 bytes. This can prevent run-time record expansion during the retrieval of query results. Note: Do not use this option when the `-Dsrv` `BINDING` switch is set to 3. With the binding set to 3, the size of the data is known, and this switch will cause the allocation of unneeded additional memory.
>     PRGRS_NO_INDEX
> | Suppresses index creation at schema import time. If you specify a value of 1 for `-Dsrv` `PRGRS_NO_INDEX`, you must create the indexes manually in the schema holder.
>     PRGRS_PREPCACHE
> | Specifies the maximum number of prepared statements to be kept in cache. The default value is 20 statements.
>     PRGRS_TABLE_BLOCKSIZE
> | Specifies the total amount of memory allowed for block cursor use per table. The default value is ODBC_DEF_TABBLOCKSZ, 65,000 bytes.
>     PRGRS_PROC_TRAN
> | The value is either 1 for ON or 0 for OFF. Allows a stored procedure to run in a separate connection. This allows OpenEdge to issue concurrent, active requests for running a stored procedure.
>     PRGRS_STABLE_CURS
> | The value is either 1 for ON or 0 for OFF. Enabling this option forces the DataServer to act as though cursors have stability across transaction boundaries. Note: This option can cause unpredictable query results if not used properly. See the "Cursor characteristics: The PRGRS_STABLE_CURS option" section for details on the restrictions.
>     PRGRS_WAIT_DELAY
> | Specifies the number of seconds to wait for a lock response from the driver when using the driver in asynchronous mode and `NO–WAIT` has been specified in a 4GL statement that requires a database lock. The default value is 2. Note: This option has no affect when running in synchronous mode.

> The following example of the `-Dsrv` startup parameter sets the number of keys in the nonlookahead scrolling buffer to 100:

>     -Dsrv PRGRS_IDBUF,100

> See the "Using MS SQL Server and DataServer options" section for information on when and how to use these options.

Copyright © 2005 Progress Software Corporation www.progress.com Voice: (781) 280-4000 Fax: (781) 280-4095